org.apache.ignite.ml.dataset.feature.extractor

## Enum Vectorizer.LabelCoordinate

- java.lang.Object
- - java.lang.Enum<Vectorizer.LabelCoordinate>
  - - org.apache.ignite.ml.dataset.feature.extractor.Vectorizer.LabelCoordinate

- All Implemented Interfaces:
    Serializable, Comparable<Vectorizer.LabelCoordinate>
  Enclosing class:
    Vectorizer<K,V,C extends Serializable,L>

      public static enum Vectorizer.LabelCoordinate
      extends Enum<Vectorizer.LabelCoordinate>

  Shotrcuts for coordinates in feature vector.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FIRST` First.
    `LAST` Last.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Vectorizer.LabelCoordinate` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Vectorizer.LabelCoordinate[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FIRST

          public static final Vectorizer.LabelCoordinate FIRST

      First.

    - #### LAST

          public static final Vectorizer.LabelCoordinate LAST

      Last.

  - ### Method Detail

    - #### values

          public static Vectorizer.LabelCoordinate[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Vectorizer.LabelCoordinate c : Vectorizer.LabelCoordinate.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Vectorizer.LabelCoordinate valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022